edu.sc.seis.sod.velocity.network

## Class VelocityNetwork

- java.lang.Object
- - edu.iris.Fissures.IfNetwork.NetworkAttr
  - - edu.sc.seis.sod.velocity.network.VelocityNetwork

- All Implemented Interfaces:
    java.io.Serializable, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.portable.Streamable, org.omg.CORBA.portable.StreamableValue, org.omg.CORBA.portable.ValueBase

      public class VelocityNetwork
      extends edu.iris.Fissures.IfNetwork.NetworkAttr

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.iris.Fissures.IfNetwork.NetworkAttr

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityNetwork(java.util.List<VelocityStation> stations)`
    `VelocityNetwork(edu.iris.Fissures.network.NetworkAttrImpl net)` Creates a VelocityNetwork with no stations.
    `VelocityNetwork(edu.iris.Fissures.network.NetworkAttrImpl net, java.util.List<VelocityStation> stations)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `get_code()`
    `edu.iris.Fissures.IfNetwork.NetworkId` | `get_id()`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getCodeWithYear()`
    `int` | `getDbid()`
    `int` | `getDbId()`
    `edu.iris.Fissures.model.MicroSecondDate` | `getEnd()`
    `java.lang.String` | `getEnd(java.lang.String format)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getEndDate()` Deprecated. use getEnd instead
    `java.lang.String` | `getEntityRefName()` just like getName except special characters for xml are made into entity references.
    `java.lang.String` | `getName()`
    `java.lang.String` | `getRawBeginDate()`
    `java.lang.String` | `getRawBeginLeapSeconds()`
    `java.lang.String` | `getRawName()`
    `edu.iris.Fissures.model.MicroSecondDate` | `getStart()`
    `java.lang.String` | `getStart(java.lang.String format)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getStartDate()` Deprecated. - use getStart instead
    `java.util.List<VelocityStation>` | `getStations()`
    `edu.iris.Fissures.network.NetworkAttrImpl` | `getWrapped()`
    `void` | `insertIntoContext(org.apache.velocity.VelocityContext ctx)`
    `java.lang.String` | `toString()`
    `static VelocityNetwork` | `wrap(edu.iris.Fissures.IfNetwork.NetworkAttr net)`

    - ### Methods inherited from class edu.iris.Fissures.IfNetwork.NetworkAttr

      `_read, _truncatable_ids, _type, _write, getBeginTime, getDescription, getEffectiveTime, getEndTime, getId, getOwner, intern, intern, intern, intern, intern, setBeginTime, setDescription, setEffectiveTime, setEndTime, setId, setName, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityNetwork

          public VelocityNetwork(edu.iris.Fissures.network.NetworkAttrImpl net)

      Creates a VelocityNetwork with no stations. Will throw UnsupportedOperationException if getStations is called

    - #### VelocityNetwork

          public VelocityNetwork(java.util.List<VelocityStation> stations)

    - #### VelocityNetwork

          public VelocityNetwork(edu.iris.Fissures.network.NetworkAttrImpl net,
                                 java.util.List<VelocityStation> stations)

  - ### Method Detail

    - #### getWrapped

          public edu.iris.Fissures.network.NetworkAttrImpl getWrapped()

    - #### get_id

          public edu.iris.Fissures.IfNetwork.NetworkId get_id()

      Specified by:
        `get_id` in class `edu.iris.Fissures.IfNetwork.NetworkAttr`

    - #### get_code

          public java.lang.String get_code()

      Specified by:
        `get_code` in class `edu.iris.Fissures.IfNetwork.NetworkAttr`

    - #### getCode

          public java.lang.String getCode()

    - #### getCodeWithYear

          public java.lang.String getCodeWithYear()

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `edu.iris.Fissures.IfNetwork.NetworkAttr`

    - #### getRawName

          public java.lang.String getRawName()

    - #### getRawBeginDate

          public java.lang.String getRawBeginDate()

    - #### getRawBeginLeapSeconds

          public java.lang.String getRawBeginLeapSeconds()

    - #### getStart

          public edu.iris.Fissures.model.MicroSecondDate getStart()

    - #### getStart

          public java.lang.String getStart(java.lang.String format)

    - #### getStartDate

          public edu.iris.Fissures.model.MicroSecondDate getStartDate()

      Deprecated. - use getStart instead

    - #### getEnd

          public edu.iris.Fissures.model.MicroSecondDate getEnd()

    - #### getEnd

          public java.lang.String getEnd(java.lang.String format)

    - #### getEndDate

          public edu.iris.Fissures.model.MicroSecondDate getEndDate()

      Deprecated. use getEnd instead

    - #### getEntityRefName

          public java.lang.String getEntityRefName()

      just like getName except special characters for xml are made into entity references. This just replaces the main ones: amp, lt, gt, apos, quot.

    - #### getStations

          public java.util.List<VelocityStation> getStations()

    - #### getDbid

          public int getDbid()

    - #### getDbId

          public int getDbId()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### insertIntoContext

          public void insertIntoContext(org.apache.velocity.VelocityContext ctx)

    - #### wrap

          public static VelocityNetwork wrap(edu.iris.Fissures.IfNetwork.NetworkAttr net)